%define name	plasma-applet-message-indicator
%define	srcname	plasma-widget-message-indicator
%define version	0.5.6
%define release	%mkrel 1
%define Summary	 Plasmoid for displaying messages from message-indicator enabled applications


Summary:	%Summary
Name:		%name
Version:	%version
Release:	%release
Source0:	http://launchpad.net/%{srcname}/trunk/%{version}/+download/%{srcname}-%{version}.tar.bz2
License:	GPLv3
Group:		Graphical desktop/KDE
URL:		https://launchpad.net/plasma-widget-message-indicator
BuildRequires:	kdebase4-workspace-devel
BuildRequires:	libindicate-qt-devel
BuildRequires:	libdbusmenu-qt-devel
Provides:	plasma-applet
Provides:	%srcname = %version

%description

A Plasma widget which displays messages from message-indicator enabled
applications.


%files 
%defattr(-,root,root)
%_kde_libdir/kde4/plasma_applet_message_indicator.so
%_kde_services/plasma-applet-message-indicator.desktop
%_kde_services/plasma-applet-indicatordisplay.desktop
%_kde_appsdir/desktoptheme/default/icons/message-indicator.svgz



#---------------------------------------------------------------------

%prep
%setup -q -n %srcname-%{version}

%build
%cmake_kde4
%make

%install
%__rm -rf %buildroot
%makeinstall_std -C build



%clean
%__rm -rf %buildroot


%changelog
* Tue Jan 04 2011 John Balcaen <mikala@mandriva.org> 0.5.6-1mdv2011.0
+ Revision: 628539
- Update to 0.5.6
- fix file list

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.2-2mdv2011.0
+ Revision: 614568
- the mass rebuild of 2010.1 packages

* Sat Mar 13 2010 John Balcaen <mikala@mandriva.org> 0.5.2-1mdv2010.1
+ Revision: 518773
- import plasma-applet-message-indicator


